Author Topic: SDL2 support  (Read 784 times)

Offline kebaGanac

  • Single posting newcomer
  • *
  • Posts: 2
SDL2 support
« on: February 18, 2017, 07:55:48 pm »
Hello Code::Blocks team,
I'm an SDL2 developer and I recently switched to your IDE. I've seen that you have a feature that let's you make an SDL project. Unfortunately, this only works for SDL, but not SDL2. I downloaded the "SDL2-devel-2.0.5-mingw.tar.gz (MinGW 32/64-bit)" file from the official website, extracted it and all, typed the folder location in your wizard, but I get a script error saying "...can't allocate SDL's library file SDLmain in it...". That's because the file is called SDL2main.lib.a. When I copy the problematic files and simply change their names to *SDL* from *SDL2*, but it couldn't compile. Am I missing something? If so please tell me, if not can you please update it, because it's much easier than linking the whole thing etc.

Offline oBFusCATed

  • Developer
  • Lives here!
  • *****
  • Posts: 10727
    • Travis build status
Re: SDL2 support
« Reply #1 on: February 18, 2017, 09:11:38 pm »
The wizard is a squirrel script. You can edit it and provide a patch. I guess it is safe to switch to the sdl2 as the only supported version. If you can add support for both versions this will be even cooler.
(most of the time I ignore long posts)
[strangers don't send me private messages, I'll ignore them; post a topic in the forum, but first read the rules!]

Offline BlueHazzard

  • Lives here!
  • ****
  • Posts: 1780